Number: 1826
Title: gv fails to load in 10.6 (Snow Leopard) with Python 2.6
Submitter: Evan Rosen
Date: Tue Dec 1 04:11:27 2009
Subsys: Build/Installation
Version: 2.24.0 (20090616.2323)
System: x86-OSX-10.6
Severity: critical
Problem:
Python crashes when I try to load the gv module. I have MacPorts Installed, but I have checked with all installed python versions and I get the same error.

user$ python
Comments:
[ellson] I suspect this bug is due to building on Leopard (with python-2.5) and then running on SnowLeopard (with python-2.6).

I suspect the fix requires adding a SnowLeopard build host.

[north] Well, we could try adding a Snow Leopard build host.

I'm working on configuring one in the lab now.

It appears we can't get away with having one package for both OSX 10.5 and 10.6 if people want to use advanced features like scripting plugins. This is not that surprising.
Owner: ellson
Status: *